/******************************************************************************
*
* AntiMafia ActionSharing
* Copyright (C) 2002 by [epidemiC] AntiMafia
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*
******************************************************************************/


// The following ifdef block is the standard way of creating macros which make exporting 
// from a DLL simpler. All files within this DLL are compiled with the ACTIONSHARINGDUMMY_EXPORTS
// symbol defined on the command line. this symbol should not be defined on any project
// that uses this DLL. This way any other project whose source files include this file see 
// ACTIONSHARINGDUMMY_API functions as being imported from a DLL, wheras this DLL sees symbols
// defined with this macro as being exported.
#ifdef ACTIONSHARINGDUMMY_EXPORTS
#define ACTIONSHARINGDUMMY_API __declspec(dllexport)
#else
#define ACTIONSHARINGDUMMY_API __declspec(dllimport)
#endif


#ifdef __cplusplus
extern "C"
{
#endif

ACTIONSHARINGDUMMY_API BOOL Configure(const char *name, char *str, int len);
ACTIONSHARINGDUMMY_API BOOL BeginAttack(unsigned short *id, const char *config, const char *target, unsigned short port);
ACTIONSHARINGDUMMY_API BOOL Attack(unsigned short id);
ACTIONSHARINGDUMMY_API BOOL EndAttack(unsigned short id);

#ifdef __cplusplus
}
#endif
